import axios from 'axios'
import { Helpers } from '../utils/helper'

const protocol = axios.create({
  baseURL: '/',
})

const forceLogout = () => {
  Helpers.clearCookie()
  window.location.href = '/login'
}

protocol.interceptors.request.use(function (config) {
  config.headers.set(
    'Content-Type',
    config.headers.get('Content-Type') ?? 'application/json',
  )
  return config
})

protocol.interceptors.response.use(
  (response) => {
    return response.data || {}
  },
  (error) => {
    const {
      response: { status, data },
    } = error

    if (status === 403) {
      forceLogout()
    }

    return Promise.reject(data)
  },
)

export { protocol }
