import Header from '@components/Header'
import Navbar from '@components/Navbar'
import { useSiteContext } from '@context/SiteContext'
import { useNavigate } from '@solidjs/router'
import { onMount, Show } from 'solid-js'

export default function Layout(props) {
  const { store } = useSiteContext()
  const navigate = useNavigate()

  onMount(() => {
    if (!store.auth) {
      navigate('/login', { replace: true })
    }
  })

  return (
    <main>
      <Show when={store.auth}>
        <Header />
      </Show>
      <div id="main-page" class={store.auth ? '' : 'login-page'}>
        <Show when={store.auth}>
          <Navbar />
        </Show>
        <div class="main-content">{props.children}</div>
      </div>
    </main>
  )
}
