from fuware.core.config import get_app_settings
from fuware.core.root_logger import get_logger
from fuware.repos.repository_users import RepositoryUsers
from sqlalchemy.orm import Session

from fuware.schemas.user.user import UserCreate


logger = get_logger("init_users")
settings = get_app_settings()

def dev_users() -> list[dict]:
  return [
    {
      "username": "sam",
      "password": "admin",
      "name": "Sam",
      "is_admin": 1,
      "is_lock": 0,
    },
    {
      "username": "sam1",
      "password": "admin",
      "name": "Sam1",
      "is_admin": 0,
      "is_lock": 1
    },
  ]

def default_users_init(session: Session):
  users = RepositoryUsers()
  for user in dev_users():
    users.create(session, UserCreate(**user))
